const express = require("express");
const router = express.Router();

const {
    semuaKategori,
    kategoriId,
    buatKategori,
    editKategori,
    hapusKategori
} = require("./controller.js");


const { validateCategory } = require("./midleware.js");

router.get("/", semuaKategori);


router.get("/find/:id", kategoriId);

router.post("/create", validateCategory, buatKategori);

router.patch("/update/:id", validateCategory, editKategori);


router.delete("/delete/:id", hapusKategori);

module.exports = router;